Subject: bug#30900: 26.0.91; auth-source-pass-enable results in customization type mismatch for auth-sources

From: Damien Cassou <[email-masked]>
Date: Fri, 23 Mar 2018 09:39:25 +0100

Eli Zaretskii <[email-masked]> writes:
>> > Using the new (26.0.91) auth-source-pass-enable function modifies the
>> > auth-sources variable to something isn't specified in :type, resulting
>> > in a type mismatch when looking at the customize-variable buffer for
>> > auth-sources.
>> 
>> Presumably this auth-sources setting also doesn't work in the next Emacs
>> instance, unless one manually loads the auth-source-pass library?

I think we should sync with Ted, in CC, so that auth-sources
customization type allows external providers. What do you think Ted?

-- 
Damien Cassou
http://damiencassou.seasidehosting.st

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill